package fileManager

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type FileQiniuRouter struct {
}

func (e *FileQiniuRouter) InitFileQiniuRouter(Router *gin.RouterGroup) {
	excelRouter := Router.Group("fileManager")
	api := v1.ApiGroupApp.FileManagerGroup.ApiFileQiniu
	{
		excelRouter.POST("queryVersionByType", api.QueryVersionByType)              //查询
		excelRouter.POST("addQiniuFile", api.AddQiniuFile)                          //addQiniuFile
		excelRouter.POST("getQiniuToken", api.GetQiniuToken)                        //获取七牛token
		excelRouter.POST("deleteQiniuFile", api.DeleteQiniuFile)                    //删除单个文件
		excelRouter.POST("deleteQiniuFileAndRecord", api.DeleteQiniuFileAndRecord)  //删除单个文件
		excelRouter.POST("renameQiniuFileAndRecord", api.RenameQiniuFileAndRecord)  //删除单个文件
		excelRouter.GET("getMirrorDownloadByTaskId", api.GetMirrorDownloadByTaskId) //根据任务id获取最新镜像下载链接
		excelRouter.POST("updateMirrorPushPolicy", api.UpdateMirrorPushPolicy)      //删除单个文件
	}
}
